org.apache.sling.sample.slingshot.model

## Class PropertiesSupport

- java.lang.Object
- - org.apache.sling.sample.slingshot.model.PropertiesSupport

Direct Known Subclasses:
  StreamEntry, StreamInfo, UserInfo

    public abstract class PropertiesSupport
    extends Object

### Field Summary

Fields
`protected org.apache.sling.api.resource.Resource` `resource`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesSupport(org.apache.sling.api.resource.Resource resource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.api.resource.ValueMap` `getProperties()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resource

    protected final org.apache.sling.api.resource.Resource resource

### Constructor Detail

#### PropertiesSupport

    public PropertiesSupport(org.apache.sling.api.resource.Resource resource)

### Method Detail

#### getProperties

    protected org.apache.sling.api.resource.ValueMap getProperties()